﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Data;
using System.Web.UI;

namespace WebTabDemo
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                DataTable table = new DataTable();

                table.Columns.Add("field1");
                table.Columns.Add("field2");

                table.Rows.Add(new Object[] { "Sample Data 1", "Another Data Point 1" });
                table.Rows.Add(new Object[] { "Sample Data 2", "Another Data Point 2" });

                Session.Add("MyData", table);

                EditingCore core = new EditingCore();
                core.Enabled = true;
                core.AutoCRUD = false;
                CellEditing editing = new CellEditing();
                core.Behaviors.Add(editing);

                EditingColumnSetting setting = new EditingColumnSetting();
                setting.ColumnKey = "field2";
                setting.EditorID = WebDataGrid1.EditorProviders[0].ID;
                editing.ColumnSettings.Add(setting);

                WebDataGrid1.Behaviors.Add(core);

                WebDataGrid1.DataSource = table;
                WebDataGrid1.DataBind();
            }
            else
            {
                if (Session["MyData"] != null)
                {
                    WebDataGrid1.DataSource = Session["MyData"];
                    WebDataGrid1.DataBind();
                }
            }
            
            

        }

        protected void WebDataGrid1_RowSelectionChanged(object sender, Infragistics.Web.UI.GridControls.SelectedRowEventArgs e)
        {
            SelectedRowCollection selectedRowCollection = e.CurrentSelectedRows;

            DataRowView _rowView = (DataRowView)selectedRowCollection[0].DataItem;

            txtSampleTextBox.Text = (string)_rowView["field1"];
            txtSampleTextBox2.Text = (string)_rowView["field2"];
        }

        protected void WebImageButton1_Click(object sender, Infragistics.WebUI.WebDataInput.ButtonEventArgs e)
        {
            if (Session["MyData"] != null)
            {
                DataTable orig_table = (DataTable)Session["MyData"];

                DataTable table = new DataTable();

                table.Columns.Add("field1");
                table.Columns.Add("field2");

                table.Rows.Add(new Object[] { "Sample Data 3", "Another Data Point 3" });
                table.Rows.Add(new Object[] { "Sample Data 4", "Another Data Point 4" });

                orig_table.Merge(table);

                Session["MyData"] = orig_table;

                WebDataGrid1.DataSource = Session["MyData"];
                WebDataGrid1.DataBind();
            }
        }
    }
}